package io.signpath.signpathclient;

/**
 *
 * @author volodymyr.bobko
 */
public class SignPathClientSettings {
    private final int serviceUnavailableTimeoutInSeconds;
    private final int uploadAndDownloadRequestTimeoutInSeconds;
    private final int waitForCompletionTimeoutInSeconds;
    private final int waitBetweenReadinessChecksInSeconds;
    private final String userAgent;
    
    public SignPathClientSettings(int serviceUnavailableTimeoutInSeconds,
                                  int uploadAndDownloadRequestTimeoutInSeconds,
                                  int waitForCompletionTimeoutInSeconds,
                                  int waitBetweenReadinessChecksInSeconds,
                                  String userAgent
    ) {
        this.serviceUnavailableTimeoutInSeconds = serviceUnavailableTimeoutInSeconds;
        this.uploadAndDownloadRequestTimeoutInSeconds = uploadAndDownloadRequestTimeoutInSeconds;
        this.waitForCompletionTimeoutInSeconds = waitForCompletionTimeoutInSeconds;
        this.waitBetweenReadinessChecksInSeconds = waitBetweenReadinessChecksInSeconds;
        this.userAgent = userAgent;
    }
    
    public String getUserAgent() {
        return userAgent;
    }
    
    public int getServiceUnavailableTimeoutInSeconds() {
        return serviceUnavailableTimeoutInSeconds;
    }

    public int getUploadAndDownloadRequestTimeoutInSeconds() {
        return uploadAndDownloadRequestTimeoutInSeconds;
    }

    public int getWaitForCompletionTimeoutInSeconds() {
        return waitForCompletionTimeoutInSeconds;
    }
    
    public int getWaitBetweenReadinessChecksInSeconds() {
        return waitBetweenReadinessChecksInSeconds;
    }
}
